Subject: bug#47734: Guix install script on foreign distro fails to add berlin public key

From: Julien Lepiller <[email-masked]>
Date: Wed, 21 Apr 2021 11:46:14 -0400

I can't copy-paste easily to my email client right now, so here's a paste. I'll send the content later.

https://paste.debian.net/1194563/

Le 21 avril 2021 08:45:01 GMT-04:00, "Ludovic Courtès" <[email-masked]> a écrit :
>Hi Julien,
>
>Julien Lepiller <[email-masked]> skribis:
>
>> When installing Guix on a new machine (foreign distro), substitute
>were not properly set up:
>>
>> …
>> Permit downloading pre-built package binaries from the project's
>build farm? (yes/no) yes
>> /home/roptat/guix-install.sh: line 445:
>/root/.config/guix/current/share/guix/ci.guix.gnu.org.pub: No such file
>or directory
>>
>> That was the latest version of the script downloaded from savannah.
>It downloaded and installed the 1.2.0 tarball.
>>
>> I was able to fix that later manually, but let's make sure the script
>doesn't fail like that with the release :)
>
>I don’t see how this can happen: ‘sys_create_store’ creates
>~root/.config/guix/current, before ‘sys_authorize_build_farms’ runs.
>
>Can you reproduce it, Julien?
>
>Alternatively, could you paste the complete output of the
>guix-install.sh script when it failed?
>
>Thanks,
>Ludo’.